//#pragma once
#include <shlobj.h>
#include <atlstr.h>
#include <json/reader.h>
#include <fstream>
#include "FileCore.h"
#include "KeyVar.h"
#include "CLanguage.h"
class CAdsBanner
{
public:
	vector<std::string> BannerCollection;
	CAdsBanner();
	std::vector<std::string> GetBannerlinkFromJson(std::wstring st);
	std::vector<std::string> ReadJsonFromFile(const char* file);
	void GetBannerJson(std::wstring st);
	bool GetImage(std::wstring url, std::wstring saveFolder, int i);
	bool IsEmptyBanner = true;
};